import { jsx } from "react/jsx-runtime";
import { SunIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Sun = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Sun", ...props, children: /* @__PURE__ */ jsx(SunIcon, { weight: variant }) });
  }
);
Sun.displayName = "Sun";
Object.assign(Sun, { isGdsIcon: true });
export {
  Sun
};
